import logging

_LOGGER = logging.getLogger(__name__)

DOMAIN = "set_attributes_nn"

async def async_setup(hass, config):

    def handler_set(call):
        
        execute_script(hass, call.data, _LOGGER)

    hass.services.async_register(DOMAIN, "set", handler_set)

    return True


def execute_script(hass, data, logger):
    try:
        file = 'custom_components/set_attributes_nn/set_attributes.py'
        _LOGGER.debug("Run python script %s", file)
        with open(file, encoding='utf-8') as f:
            code = compile(f.read(), file, 'exec')   
        exec(code)
    except Exception as e:
        _LOGGER.exception("Error executing script: %s", e)
